/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package postproject;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.Random;

/**
 *
 * @author Teacher1115
 */
public class PostProject {

    /**
     * @param args the command line arguments
     */
    
    public static void main(String[] args) {
        // TODO code application logic here
        
        Person[] people = new Person[5];;
        people[0] = new Person("Maria", "Sofia", "0880394875");
        people[1] = new Person("Ivancho", "Varna", "089643875");
        people[2] = new Person("Lena", "Mardid", "+4356682");
        people[3] = new Person("John", "London", "+48754355");
        people[4] = new Person("Patric", "NY", "02857675");
        
        ArrayList<shipment> shipments = new ArrayList<shipment>();
        FillWithRandom(people, shipments);
        
        PrintList(shipments);
        Collections.sort(shipments);
        System.out.println("List was sorted in priority high-low");
        PrintList(shipments);
        
    }
    private static void PrintList(ArrayList<shipment> shipments)
    {
        for(shipment s: shipments){
            s.Send();
        }
    }
   
    
    private static void FillWithRandom(Person[] people, ArrayList<shipment> shipments)
    {
        Random rnd = new Random();
        DateFormat dateFormat = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");
        Date date = new Date();
        String dateStr = dateFormat.format(date);

        for (int i = 0; i < 10; i++) {
           try{
            shipment newShipment;
           
            switch (rnd.nextInt(3)) {
                case 0:
                    newShipment = new Letter(people[rnd.nextInt(5)], people[rnd.nextInt(5)], dateStr, false);
                    break;
                case 1:
                    newShipment = new Letter(people[rnd.nextInt(5)], people[rnd.nextInt(5)], dateStr, true);
                    break;
                case 2:
                    newShipment = new Parcel(people[rnd.nextInt(5)], people[rnd.nextInt(5)], dateStr, rnd.nextDouble()*1000, false);
                    break;
                default:
                    throw new AssertionError();
            }
            
            shipments.add(newShipment);
           }
           catch(Exception e)
           {
               System.out.println(e);
           }
        }
    }
}
